version: "3.0"
services:
  app:
    networks:
      - pts-network
    environment:
      - DEBUG=NO
      - JETTY_HOME=/usr/local/jetty
      - JETTY_BIN=/var/lib/jetty
      - TZ=America/Detroit
      - _JAVA_OPTIONS=-Xms1024m -Xmx8192m
    image: davidabbey/pickthestick
    #user: jetty
    container_name: pts_container
    stdin_open: true # docker run -i
    tty: true        # docker run -t
    ports:
      - "90:8080"
      - "9092:9091"
      - "8444:8443"
    restart: always
    build: 
      context: ./
      dockerfile: Dockerfile
      args:
        USER: nerdypant
        GROUP: nerdypant
        uid: 1000
        gid: 1000
        http_port: 8080
        TINI_VERSION: 0.14.0
        TINI_SHA: 6c41ec7d33e857d4779f14d9c74924cab0c7973485d2972419a3b7c7620ff5fd
        CORRETTO_VERSION: "21"
    privileged: true
    volumes:
      - docker_mysql_pts_data:/var/lib/mysql
volumes:
  docker_mysql_pts_data:
  mysql_data: 



